---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/02_Mountain_path/Animation/bg_dead_body_fire/"
---------------------------------------------------------------------------------------
createCompositionbgf = nil
createCompositionsgoranie_skeleta = nil
---------------------------------------------------------------------------------------
createCompositionbgf = function()
	local compositionbg = CreateCompositionSequence()
	local compositionDuration = 8
	compositionbg:setDuration(compositionDuration)
	compositionbg:setName("compositionbg" )
	compositionbg:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer sgoranie_skeleta/1
	element = createCompositionsgoranie_skeleta()
	element:setName("sgoranie_skeleta/1")
	compositionbg:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionbg)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2, 6.5)
	effector:play()
 
 
	-- Layer skelet7.png/2
	element = CreateCompositionElement(PREFIX_PATH.."skelet7.png")
	element:setName("skelet7.png/2")
	compositionbg:addElement(element)
	element:setHotSpot(21.5, 24.5)
	element:setParentElement(compositionbg)
	element:setXY(982.5, 351.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer skelet6.png/3
	element = CreateCompositionElement(PREFIX_PATH.."skelet6.png")
	element:setName("skelet6.png/3")
	compositionbg:addElement(element)
	element:setHotSpot(10.25, 5)
	element:setParentElement(compositionbg)
	element:setXY(1024.25, 366)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer skelet4.png/4
	element = CreateCompositionElement(PREFIX_PATH.."skelet4.png")
	element:setName("skelet4.png/4")
	compositionbg:addElement(element)
	element:setHotSpot(17, 14.5)
	element:setParentElement(compositionbg)
	element:setXY(952.125, 430.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer skelet3.png/5
	element = CreateCompositionElement(PREFIX_PATH.."skelet3.png")
	element:setName("skelet3.png/5")
	compositionbg:addElement(element)
	element:setHotSpot(16.5, 4)
	element:setParentElement(compositionbg)
	element:setXY(974.5, 377)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer skelet2.png/6
	element = CreateCompositionElement(PREFIX_PATH.."skelet2.png")
	element:setName("skelet2.png/6")
	compositionbg:addElement(element)
	element:setHotSpot(4.5, 1.5)
	element:setParentElement(compositionbg)
	element:setXY(1020.5, 431.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer skelet1.png/7
	element = CreateCompositionElement(PREFIX_PATH.."skelet1.png")
	element:setName("skelet1.png/7")
	compositionbg:addElement(element)
	element:setHotSpot(30.5, 99.5)
	element:setParentElement(compositionbg)
	element:setXY(991.5, 450.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer skelet.png/8
	element = CreateCompositionElement(PREFIX_PATH.."skelet.png")
	element:setName("skelet.png/8")
	compositionbg:addElement(element)
	element:setHotSpot(99, 67)
	element:setParentElement(compositionbg)
	element:setXY(912, 495)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
	compositionbg:play()
 
	return compositionbg
end
 
createCompositionsgoranie_skeleta = function()
	local compositionsgoranie_skeleta = CreateCompositionSequence()
	local compositionDuration = 4.5
	compositionsgoranie_skeleta:setDuration(compositionDuration)
	compositionsgoranie_skeleta:setName("compositionsgoranie_skeleta" )
	compositionsgoranie_skeleta:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer skelet7.png/1
	element = CreateCompositionElement(PREFIX_PATH.."skelet7.png")
	element:setName("skelet7.png/1")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(21.5, 24.5)
	element:setParentElement(compositionsgoranie_skeleta)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_X, 1.91666666666667, 982.5)
	effector:setKey(_TRACK_Y, 1.91666666666667, 351.5)
	effector:setKey(_TRACK_X, 2.05952962239583, 979.244492443461)
	effector:setKey(_TRACK_Y, 2.05952962239583, 362.661742313652)
	effector:setKey(_TRACK_X, 2.202392578125, 971.820419215979)
	effector:setKey(_TRACK_Y, 2.202392578125, 388.115707501978)
	effector:setKey(_TRACK_X, 2.34525553385417, 963.738351087915)
	effector:setKey(_TRACK_Y, 2.34525553385417, 415.825655978368)
	effector:setKey(_TRACK_X, 2.48807779947917, 958.509528888321)
	effector:setKey(_TRACK_Y, 2.48807779947917, 433.753041968978)
	effector:setKey(_TRACK_X, 2.54166666666667, 958)
	effector:setKey(_TRACK_Y, 2.54166666666667, 435.5)
	effector:setKey(_TRACK_A, 1.91666666666667, 0)
	effector:setKey(_TRACK_A, 2.05952962239583, -0.42728716838716)
	effector:setKey(_TRACK_A, 2.202392578125, -1.35276060116599)
	effector:setKey(_TRACK_A, 2.34525553385417, -2.48151608895079)
	effector:setKey(_TRACK_A, 2.48807779947917, -3.53273569471279)
	effector:setKey(_TRACK_A, 2.54166666666667, -3.72233309377701)
	effector:setKey(_TRACK_O, 2.25, 1)
	effector:setKey(_TRACK_O, 2.39286295572917, 0.5952080351597)
	effector:setKey(_TRACK_O, 2.53572591145833, 0.00420382652188)
	effector:setKey(_TRACK_O, 2.54166666666667, 0)
	effector:play()
 
 
	-- Layer skelet6.png/2
	element = CreateCompositionElement(PREFIX_PATH.."skelet6.png")
	element:setName("skelet6.png/2")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(10.25, 5)
	element:setParentElement(compositionsgoranie_skeleta)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_X, 2.20833333333333, 1024.25)
	effector:setKey(_TRACK_Y, 2.20833333333333, 366)
	effector:setKey(_TRACK_X, 2.3511962890625, 1015.6889470791)
	effector:setKey(_TRACK_Y, 2.3511962890625, 400.047402991815)
	effector:setKey(_TRACK_X, 2.49405924479167, 1003.70374666065)
	effector:setKey(_TRACK_Y, 2.49405924479167, 447.712687719862)
	effector:setKey(_TRACK_X, 2.54166666666667, 1002.5)
	effector:setKey(_TRACK_Y, 2.54166666666667, 452.5)
	effector:setKey(_TRACK_A, 2.20833333333333, 0)
	effector:setKey(_TRACK_A, 2.3511962890625, -0.56632472492694)
	effector:setKey(_TRACK_A, 2.49405924479167, -1.3591277577726)
	effector:setKey(_TRACK_A, 2.54166666666667, -1.43879067003897)
	effector:setKey(_TRACK_O, 3.16666666666667, 1)
	effector:setKey(_TRACK_O, 3.45833333333333, 0)
	effector:play()
 
 
	-- Layer skelet4.png/3
	element = CreateCompositionElement(PREFIX_PATH.."skelet4.png")
	element:setName("skelet4.png/3")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(17, 14.5)
	element:setParentElement(compositionsgoranie_skeleta)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_X, 2.41666666666667, 952.125)
	effector:setKey(_TRACK_Y, 2.41666666666667, 430.5)
	effector:setKey(_TRACK_X, 2.55952962239583, 950.696869868647)
	effector:setKey(_TRACK_Y, 2.55952962239583, 445.638178560168)
	effector:setKey(_TRACK_X, 2.66666666666667, 949.625)
	effector:setKey(_TRACK_Y, 2.66666666666667, 457)
	effector:setKey(_TRACK_O, 2.95833333333333, 1)
	effector:setKey(_TRACK_O, 3.25, 0)
	effector:play()
 
 
	-- Layer skelet3.png/4
	element = CreateCompositionElement(PREFIX_PATH.."skelet3.png")
	element:setName("skelet3.png/4")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(16.5, 4)
	element:setParentElement(compositionsgoranie_skeleta)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_X, 2.54166666666667, 974.5)
	effector:setKey(_TRACK_Y, 2.54166666666667, 377)
	effector:setKey(_TRACK_X, 2.68452962239583, 970.856543967381)
	effector:setKey(_TRACK_Y, 2.68452962239583, 408.076531046079)
	effector:setKey(_TRACK_X, 2.827392578125, 967.214158401282)
	effector:setKey(_TRACK_Y, 2.827392578125, 439.14393674801)
	effector:setKey(_TRACK_X, 2.875, 966)
	effector:setKey(_TRACK_Y, 2.875, 449.5)
	effector:setKey(_TRACK_A, 2.54166666666667, 0)
	effector:setKey(_TRACK_A, 2.875, 0.78402539572254)
	effector:setKey(_TRACK_O, 2.95833333333333, 1)
	effector:setKey(_TRACK_O, 3.25, 0)
	effector:play()
 
 
	-- Layer skelet2.png/5
	element = CreateCompositionElement(PREFIX_PATH.."skelet2.png")
	element:setName("skelet2.png/5")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(4.5, 1.5)
	element:setParentElement(compositionsgoranie_skeleta)
	element:setXY(1020.5, 431.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_O, 3.16666666666667, 1)
	effector:setKey(_TRACK_O, 3.45833333333333, 0)
	effector:play()
 
 
	-- Layer skelet1.png/6
	element = CreateCompositionElement(PREFIX_PATH.."skelet1.png")
	element:setName("skelet1.png/6")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(30.5, 99.5)
	element:setParentElement(compositionsgoranie_skeleta)
	element:setXY(991.5, 450.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_A, 2.58333333333333, 0)
	effector:setKey(_TRACK_A, 2.7261962890625, 0.27733667727538)
	effector:setKey(_TRACK_A, 2.86905924479167, 0.80947137025971)
	effector:setKey(_TRACK_A, 3, 1.21422631319843)
	effector:setKey(_TRACK_A, 3.01192220052083, 1.2110336378447)
	effector:setKey(_TRACK_A, 3.0555419921875, 1.19528269648254)
	effector:setKey(_TRACK_A, 3.15474446614583, 1.21304397459521)
	effector:setKey(_TRACK_A, 3.16666666666667, 1.21422631064183)
	effector:setKey(_TRACK_O, 2.58333333333333, 1)
	effector:setKey(_TRACK_O, 3.16666666666667, 1)
	effector:setKey(_TRACK_O, 3.45833333333333, 0)
	effector:play()
 
 
	-- Layer skelet.png/7
	element = CreateCompositionElement(PREFIX_PATH.."skelet.png")
	element:setName("skelet.png/7")
	compositionsgoranie_skeleta:addElement(element)
	element:setHotSpot(99, 67)
	element:setParentElement(compositionsgoranie_skeleta)
	element:setXY(912, 495)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4.5)
	effector:setKey(_TRACK_O, 2.25, 1)
	effector:setKey(_TRACK_O, 2.625, 0)
	effector:play()
 
	compositionsgoranie_skeleta:play()
 
	return compositionsgoranie_skeleta
end
 
